import type { ParseResult, Point } from '@astrojs/compiler/types';
type AstroMetadata = ParseResult & {
    frontmatter: FrontmatterStatus;
};
export declare function getAstroMetadata(input: string, position?: boolean): AstroMetadata;
interface FrontmatterOpen {
    status: 'open';
    position: {
        start: Point;
        end: undefined;
    };
}
interface FrontmatterClosed {
    status: 'closed';
    position: {
        start: Point;
        end: Point;
    };
}
interface FrontmatterNull {
    status: 'doesnt-exist';
    position: undefined;
}
export type FrontmatterStatus = FrontmatterOpen | FrontmatterClosed | FrontmatterNull;
export {};
